## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name dask-expr
%global forgeurl https://github.com/dask/dask-expr

# Tests are currently failing. They need a newer version of `dask` to
# fix: TypeError: descriptor '__call__' for 'type' objects doesn't apply to a 'property' object
# To complete the circularity: newer dask needs dask-expr
%bcond tests 0

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %{autorelease}
Summary:        High Level Expressions for Dask
%forgemeta
License:        BSD-3-Clause
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  git-core

%global _description %{expand:
Dask Expressions - Dask DataFrames with query optimization.

This is a rewrite of Dask DataFrame that includes query optimization
and generally improved organization.}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1 -S git

# Drop upper bound from dask
sed -r -i 's/(dask)[<=> ]*[0-9.]*/\1/' pyproject.toml

# Commit and tag for Versioneer
git add --all
git commit -m '[Fedora] Changes for RPM'
git tag v%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l dask_expr


%check
%if %{with tests}
%pytest
%else
# Import test also fails due to outdated `dask` :-\
echo "Heureka! /s"
#%%pyproject_check_import
%endif


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri May 17 2024 Sandro <devel@penguinpee.nl> - 1.1.0-1
- Initial release (RHBZ#2280279)
## END: Generated by rpmautospec
